#include "demo_i2c.h"
#include "uart.h"
#include "stdio.h"






void IIC_ConfigSlaver(void)
{
    I2C_DeInit(I2C0);

    SYS_IOPConfig(E_P32,P32SDA0);
    SYS_IOPConfig(E_P35,P35SCL0);

    SYS_APBPeriphClockCmd(SYS_APB_I2C0CE,ENABLE);
    I2C_InitTypeDef i2c0_inittype;
    I2C_StructInit(&i2c0_inittype);

    i2c0_inittype.I2C_Mode = I2C_Mode_Slave;
    i2c0_inittype.I2C_OwnAddressType = I2C_OwnAddress_7Bit;
    i2c0_inittype.I2C_Ack = I2C_ACK_Use;
    i2c0_inittype.I2C_Address = 0x5;
    I2C_Init(I2C0,&i2c0_inittype);

    I2C_ClkSet(I2C0,4000);		//ʱӣ3.4M 			SCLʱӣ38k
    I2C_Cmd(I2C0,ENABLE);

    I2C_ITConfig(I2C0,ENABLE);
    NVIC_ClearPendingIRQ(I2C0_IRQn);
    NVIC_EnableIRQ(I2C0_IRQn);
}





